Subject: [Ietf-not43] First draft on Relay bags in FIRS

From: Peter.Gietz at daasi.de (Peter Gietz)
Date: Fri Sep 5 15:46:12 2003

Leslie Daigle wrote:

> 
> I think the other issues have been sorted out one way
> or another, leaving:
> 
> Peter Gietz wrote:
> 
>>>> 4. Relationship to other search controls
>>>>
>>>>    The Relay Bag Search Control SHOULD NOT be used together with any
>>>>    other existing search controls.  If a new search control is to be
>>>>    used in combination with the Relay Bag Search Control the document,
>>>>    describing that new search control has to deal with possible
>>>>    implications.
>>>
>>>
>>>
>>>
>>> This seems like a really unfortunate and limiting requirement. 
>>
>>
>>
>> To be honest, I just wanted do evade to analyse the compatibility of 
>> all existing search controls with this one. I also didn't see any need 
>> for them. If in future additional FIRS controls will be specified they 
>> have to take this control into consioderation though.
>>
>> Would you feel more comfortable, if I changed the "SHOULD NOT" into  
>> "is not intended to"
> 
> 
> I believe that's a better formulation, but the root of my concern
> is this:  it still seems you're cutting away at the flexibility of
> LDAP by asserting things that cannot be used in conjunction with the
> FIRS-specific use.

I have re-thought about this and included the following text into the 
new revision:

> The relay bag search control is not intended be used together
> with any other existing search controls. Nonetheless there should not
> be a problem to do so. Clients have to be aware though that if using
> the relay bag control, some referrals may be found in the controlValue
> instead of the referral list. In cases other than a
> SearchResultReference, there are no effects in the server response at
> all caused by the relay bag control.
> 
> If a new search control is to
> be used in combination with the relay bag search control the document,
> describing that new search control has to deal with possible
> implications not foreseable now. 

I hope this wipes away your concerns.

> 
> I understand why that is, and personally believe it is the necessary
> approach to pitch LDAP at a specific, complex application (I did,
> after all, some pretty serious and crude hacking myself for the
> TISDAG project :-)
> 
> However, this is also one of the reasons that I disbelieve that LDAP
> is as conveniently-usable a solution to this problem as some believe.

LDAP does have a lot of usefull features. This IMO should not be taken 
as argument against it.

Cheers,

Peter

> Leslie.

-- 
_______________________________________________________________________

Peter Gietz (CEO)
DAASI International GmbH                phone: +49 7071 2970336
Wilhelmstr. 106                         Fax:   +49 7071 295114
D-72074 T?bingen                        email: [email-masked]
Germany                                 Web:   www.daasi.de

Directory Applications for Advanced Security and Information Management
_______________________________________________________________________